#!/usr/bin/env bash
set -e

source $(dirname $0)/env.sh

cd $LUNA_ROOT

tools/setup.sh

tools/full-clean.sh

tools/install-headers.sh

cmake -S . -B $LUNA_BUILD_DIR -DMOON_DEBUG_SYMBOLS=ON -DLUNA_DEBUG_SYMBOLS=ON -G "$LUNA_CMAKE_GENERATOR_NAME"
cmake --build $LUNA_BUILD_DIR
cmake --install $LUNA_BUILD_DIR

mkbootimg luna.json Luna.iso
